Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.codes
Class AuditEventID.SecurityAlert

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
          org.eclipse.ohf.ihe.atna.audit.codes.AuditEventID
              org.eclipse.ohf.ihe.atna.audit.codes.AuditEventID.SecurityAlert

Enclosing class:
  AuditEventID

    public static class AuditEventID.SecurityAlert

extends AuditEventID

"DCM","110113","Security Alert"

Since:
  OHF 1.0.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.ohf.ihe.atna.audit.codes.AuditEventID
`AuditEventID.ApplicationActivity, AuditEventID.AuditLogUsed, AuditEventID.BeginTransferringDICOMInstances, AuditEventID.DICOMInstancesAccessed, AuditEventID.DICOMInstancesTransferred, AuditEventID.DICOMStudyDeleted, AuditEventID.Export, AuditEventID.Import, AuditEventID.NetworkActivity, AuditEventID.OrderRecord, AuditEventID.PatientRecord, AuditEventID.ProceedureRecord, AuditEventID.Query, AuditEventID.SecurityAlert, AuditEventID.UserAuthentication`

Field Summary

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`DB_Coded_Value_Type`

Constructor Summary
`AuditEventID.SecurityAlert()` "DCM","110113","Security Alert"

Method Summary

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`getCode, getCodeSystem, getCodeSystemName, getDisplayName, getOriginalText, isValidElement, parse, setCode, setCodeSystem, setCodeSystemName, setDisplayName, setOriginalText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditEventID.SecurityAlert

    public AuditEventID.SecurityAlert()

  "DCM","110113","Security Alert"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD